Bug 750304 - Drift metadata update has problems
Drift metadata update has problems
Status: CLOSED UPSTREAM
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
All All
high Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-10-31 12:13 EDT by Jay Shaughnessy
Modified: 2011-11-10 13:35 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-10 13:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-10-31 12:13:56 EDT
When updating plugins that make changes to the plugin defined drift definitions there are a few issues.

1) If there are user-defined templates they can get removed accidentally

2) If there are attached definitions to the updated templates they can cause FK constraint issues.

3) There is no protection against directory update on an existing template. This can cause issues for pinned templates.
Comment 1 Jay Shaughnessy 2011-11-01 14:22:02 EDT
master         commit eb021c14ddf1f673a500e237c161bf480fc74bb6
release_jon3.x commit 89cb974ef54fd2dcf79a74b6ba466d85c831e657

TEST NOTE:
Testing drift meta-data changes is maybe a little difficult as the easiest
way to do this is to build updated versions of the plugins and then
deploy them to your server.  Still, it's doable by unzipping the
plugin, tweaking the rhq-plugin.xml, rezipping and then dropping into
the rhqserverhome/plugins dir.

See:

http://rhq-project.org/display/RHQ/Drift+Management#DriftManagement-Howtohandlepluginupdatestothedrifttemplates

For expected plugin update behavior.
Comment 2 Mike Foley 2011-11-10 13:35:36 EST
this is not really something customers do

Note You need to log in before you can comment on or make changes to this bug.